Release history for Net-OAuth2Server 0.006 Tue 09 Aug 2022 - No functional changes - Packaging fix to stop installing boilerplate.pl - Updated package metadata 0.005 Thu 21 Dec 2020 - No more default restriction on HTTP method in Request::Resource 0.004 Thu 17 Dec 2020 - Response method names matching the Request method names: - old Response->param renamed to parameters (like Request->parameters) - new Response->param (like Request->param) - new Response->params (like Request->params) - new has_param method for both classes 0.003 Sun 01 Nov 2020 - Ability to control grant constructor parameters and required parameters separately from each other in token requests - Separate methods that can be called again later for each validation check performed by the request constructor - Better method names: - with_error → set_error - required_confidental → confidential_parameters - Switch to role-based design 0.002 Sat 01 Aug 2020 - Correct matching of the required request body content type. - Improved error handling and surfacing for bad request body content types and duplicate parameters. 0.001 Sun 31 May 2020 - Initial release.